Subject: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Dmitry Gutov <[email-masked]>
Date: Fri, 5 Jul 2019 16:43:15 +0300

On 04.07.2019 23:25, Juri Linkov wrote:

> Maybe better to add interactivity to the existing function
> `vc-root-dir', i.e. to add a new arg `(&optional interactive)'
> and add `(interactive "p")'.

Not sure I would like such wide overloading of behaviors.

> BTW, I propose another useful command without a keybinding.
> I have a habit of mistyping `v' in vc-dir to view a file like in dired.
> That often has adverse effect.  So I rebound these keys in ~/.emacs
> to a Dired-like command.  Maybe this command could be useful for anyone
> who has the same problem:

I don't have this problem or a strong opinion, but this is a breaking 
change. Could you bring it up on emacs-devel to gauge consensus, for 
example?